Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class ConfigParamIntrospector

    java.lang.Object
      xdoclet.ConfigParamIntrospector

public final class ConfigParamIntrospector
extends Object

Used by DocletTask. Creates and returns a HashMap of config params for a DocletTask or SubTask.

Version:
  $Revision: 1.8 $
Author:
  Ara Abrahamian (ara_e@email.com)
created
  Jan 19, 2002

Field Summary
`static Object` | `NULL`

Constructor Summary
`ConfigParamIntrospector()`

Method Summary
`static String` | `capitalize(String name)` Describe what the method does
`static Method` | `findGetterMethod(Object javabean, String capitalPropertyName)` Describe what the method does

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final Object NULL

Constructor Detail

### ConfigParamIntrospector

    public ConfigParamIntrospector()

Method Detail

### capitalize

    public static String capitalize(String name)

  Describe what the method does

  Parameters:
    `name` - Describe what the parameter does
  Returns:
    Describe the return value

### findGetterMethod

    public static Method findGetterMethod(Object javabean,
                                          String capitalPropertyName)

  Describe what the method does

  Parameters:
    `javabean` - Describe what the parameter does
    `capitalPropertyName` - Describe what the parameter does
  Returns:
    Describe the return value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD